// creator  : weidu.exe (version 23100)
// argument : FRIEND.DLG
// game		 : .
// source	 : ./DATA/DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~FRIEND~

IF ~NumTimesTalkedTo(0)
~ THEN BEGIN 0 // from:
  SAY #7945 /* ~Go and investigate the local druids.  See how far their taint runs and then return to tell me.~ */
  IF ~ReactionGT(LastTalkedToBy(),HOSTILE_UPPER)
~ THEN REPLY #7952 /* ~My dear, your waves of anger may move smaller stones, but the patient stream will carve a mountain.  If <PRO_HESHE> wants to help alone, so be it.~ */ GOTO 1
  IF ~ReactionLT(LastTalkedToBy(),NEUTRAL_LOWER)
~ THEN REPLY #7953 /* ~Of course, such selfish needs should not be your motivation.  If nature cannot compel you, perhaps you should not be a druid.~ */ GOTO 2
  IF ~~ THEN REPLY #7954 /* ~Nature has no better a servant than I!  I will help, but I will do it on my own!~ */ GOTO 3
  IF ~ReactionGT(LastTalkedToBy(),HOSTILE_UPPER)
~ THEN REPLY #7955 /* ~I refuse. I have no wish to participate in this.~ */ GOTO 4
  IF ~ReactionLT(LastTalkedToBy(),NEUTRAL_LOWER)
~ THEN REPLY #7956 /* ~I refuse. This is not my concern.~ */ GOTO 5
END

IF ~~ THEN BEGIN 1 // from: 0.0
  SAY #7946 /* ~Sling +3~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 2 // from: 0.1
  SAY #7947 /* ~~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 3 // from: 0.2
  SAY #7948 /* ~Then I will tell you what is needed.  Investigate the local druids.  See what they are doing and whom they follow.  I must know where the taint originates.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 4 // from: 0.3
  SAY #7949 /* ~You would cast this man aside!  I cannot allow this!  As a servant of nature I will not allow you to ignore the plight of this place!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 5 // from: 0.4
  SAY #7950 /* ~Time is not our ally in this matter. A few days at most, though at the end of a tenday I can wait no longer.~ */
  IF ~~ THEN EXIT
END

IF ~CheckState(Myself,STATE_CHARMED)
~ THEN BEGIN 6 // from:
  SAY #7957 /* ~The winter before you will be long and cold.  When you change your mind, I will need insight on the local druids.  Return if you find how deep their taint goes.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 7 // from:
  SAY #9019 /* ~I see you. I got special eyes just for the likes of you. Who would you be? Ain't supposed to be anyone here. Get out.~ */
  IF ~~ THEN EXIT
END

IF ~True()
~ THEN BEGIN 8 // from:
  SAY #10059 /* ~No, I don't think we have the time.  Let's continue moving.~ */
  IF ~~ THEN EXIT
END
